package com.yanzuoguang.util.vo;

/**
 * 查询时分页请求接口
 * @author 颜佐光
 */
public interface PageSizeReq {
    /**
     * 获取记录开始的编号
     *
     * @return 返回记录开始的编号
     */
    int getPageStart();

    /**
     * 获取记录结束的编号
     *
     * @return 返回记录结束的编号
     */
    int getPageEnd();

    /**
     * 获取当前第几页
     *
     * @return 返回当前页数，不能小于1
     */
    int getPageIndex();

    /**
     * 获取每页条数
     *
     * @return 返回当前页数，不能小于1
     */
    int getPageSize();

    /**
     * 设置当前第几页
     *
     * @param index 设置当前第几页
     * @return 当前对象
     */
    PageSizeReq setPageIndex(int index);

    /**
     * 设置每页数据量
     *
     * @param size 设置每页数据量
     * @return 当前对象
     */
    PageSizeReq setPageSize(int size);
}
